1. Webhook
Casharc
Merchant
  • Merchant
  • Getting Started
    • Introduction
    • Authentication
    • Quickstart
  • Core Concepts
    • Statuses
    • Reason Codes
  • Guides
    • Idempotency
    • Metadata
  • Payments
    • Create Payment
      POST
    • List Payments
      GET
    • Retrieve Payment
      GET
    • Confirm Payment
      POST
    • Cancel Payment
      POST
    • Refund Payment
      POST
  • Payouts
    • Create Payout
      POST
    • List Payouts
      GET
    • Retrieve Payout
      GET
    • Cancel Payout
      POST
  • Appeals
    • Create Appeal
      POST
    • List Appeals
      GET
    • Retrieve Appeal
      GET
    • Cancel Appeal
      POST
  • Balance
    • Retrieve Balance
  • Webhook
    • Verifying webhooks
    • On Status Change
  1. Webhook

On Status Change

Webhook
POST
onStatusChange

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'User-Agent;' \
--header 'X-Event-ID;' \
--header 'X-Event-Type;' \
--header 'X-Timestamp;' \
--header 'X-Signature;' \
--header 'Content-Type: application/json' \
--data '{
    "id": "string",
    "type": "string",
    "created_at": "string",
    "data": {
        "id": "string",
        "type": "string",
        "requested": {
            "amount": "string",
            "currency": "string"
        },
        "initialized": {
            "amount": "string",
            "currency": "string"
        },
        "processed": {
            "amount": "string",
            "currency": "string"
        },
        "refunded": {
            "amount": "string",
            "currency": "string"
        },
        "requisite": {
            "type": "card",
            "card": "string",
            "holder": "string",
            "bank": "string"
        },
        "status": "string",
        "reason_code": "string",
        "expires_at": "string",
        "created_at": "string",
        "finalized_at": "string",
        "metadata": {}
    }
}'
Response Response Example
{}
Previous
Verifying webhooks
Built with